Debians sikkerhedsbulletin

DSA-2787-1 roundcube -- designfejl

Rapporteret den:
27. okt 2013
Berørte pakker:
roundcube
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 727668.
I Mitres CVE-ordbog: CVE-2013-6172.
Yderligere oplysninger:

Man opdagede at roundcube, en skindbar AJAX-baseret webmailløsning til IMAP-servere, ikke på korrekt vis fornuftighedskontrollerede parameteret _session i steps/utils/save_pref.inc under gemning af indstillinger. Sårbarheden kunne udnyttes til at overskrive opsætningsindstillinger og som følge deref gøre det muligt at tilgå tilfældige filer, manipulere med SQL-forespørgsler samt endda udførelse af kode.

roundcube i den gamle stabile distribution (squeeze) er ikke påvirket af dette problem.

I den stabile distribution (wheezy), er dette problem rettet i version 0.7.2-9+deb7u1.

I den ustabile distribution (sid), vil dette problem snart blive rettet.

Vi anbefaler at du opgraderer dine roundcube-pakker.